import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class LyraNewportContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    lyraLiquidityPool({ address, network }: ContractOpts): import("./ethers").LyraLiquidityPool;
    lyraLiquidityToken({ address, network }: ContractOpts): import("./ethers").LyraLiquidityToken;
    lyraLpStaking({ address, network }: ContractOpts): import("./ethers").LyraLpStaking;
    lyraOptionMarket({ address, network }: ContractOpts): import("./ethers").LyraOptionMarket;
    lyraOptionToken({ address, network }: ContractOpts): import("./ethers").LyraOptionToken;
    lyraRegistry({ address, network }: ContractOpts): import("./ethers").LyraRegistry;
    lyraStkLyra({ address, network }: ContractOpts): import("./ethers").LyraStkLyra;
}
export type { LyraLiquidityPool } from './ethers';
export type { LyraLiquidityToken } from './ethers';
export type { LyraLpStaking } from './ethers';
export type { LyraOptionMarket } from './ethers';
export type { LyraOptionToken } from './ethers';
export type { LyraRegistry } from './ethers';
export type { LyraStkLyra } from './ethers';
